{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Juicyway API","colors":{"primary":"#0D9373","light":"#55D799","dark":"#0D9373"},"favicon":"https://mintcdn.com/juicyway/PNIxrayEgLBDOIo8/favicon.ico?fit=max\u0026auto=format\u0026n=PNIxrayEgLBDOIo8\u0026q=85\u0026s=a688087ff59216e04566efa1424a5c60","navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"juicyway","hasAudioNarration":false,"actualSubdomain":"juicyway","customDomains":["docs.juicyway.com"],"gitSource":{"type":"github","owner":"juice-engineering","repo":"naira_rates","deployBranch":"doc","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"edits":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae92402a03c4da4bef35694:success","clientVersion":"0.0.4117","searchFilterCounts":[{"language":"default","tag":"API Reference","count":87},{"language":"default","tag":"Documentation","count":85},{"language":"default","tag":"exchange","count":37},{"language":"default","tag":"Exchange","count":31},{"language":"default","tag":"Transfers","count":21},{"language":"default","tag":"payments","count":21},{"language":"default","tag":"Payments","count":16},{"language":"default","tag":"payouts","count":13},{"language":"default","tag":"Swaps","count":10},{"language":"default","tag":"wallets","count":9}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"reference/wallets/retrieve-a-wallet","slug":"/reference/wallets/retrieve-a-wallet","pageMetadata":{"title":"Retrieve a wallet","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json get /wallets/{id}","href":"/reference/wallets/retrieve-a-wallet","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Retrieve a wallet","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json get /wallets/{id}","href":"/reference/wallets/retrieve-a-wallet","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"callbacks":{},"operationId":"Wallets.Web.Controller.get_wallet","parameters":["5b7f011e-a836-4e62-bf33-75a8cc2fa639"],"responses":{"200":"36f72450-bdaa-47ea-92f4-51ca3b4b062a","404":"c7a591b8-cdfc-44c7-aeaa-6e4d21ac8b77"},"summary":"Retrieve a wallet","tags":["wallets"],"method":"get","type":"path","servers":[],"security":[],"path":"/wallets/{id}","baseUrlOptions":[],"title":"Retrieve a wallet","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"5b7f011e-a836-4e62-bf33-75a8cc2fa639":{"description":"Wallet ID","example":"ca55325a-3fa2-481a-b370-4bd212ba7846","in":"path","name":"id","required":true,"schema":{"type":"string","isRequired":true,"description":"Wallet ID","uniqueKey":"","typeLabel":"string"}}},"responses":{"36f72450-bdaa-47ea-92f4-51ca3b4b062a":{"content":{"application/json":{"schema":{"description":"Response schema for wallet","properties":{"data":{"description":"Transaction details","example":{"account_id":"f55ca88c-71aa-4dab-a10a-4d818c11e8e6","balance":{"amount":0,"currency":"USD"},"customer_id":"a08bf5a3-8459-4e65-a5bb-34a1feef94cf","events":[{"action":"create","id":"6a2a5833-609d-4dff-a4e6-0eaf452d7826","inserted_at":"2025-07-24T08:08:07Z","reason":null,"wallet_id":"55a76a42-ed3a-4d0b-b74c-2887d64612f6"}],"id":"3d2e3f3e-3b3c-4907-a4fd-e241203440d7","payment_methods":[],"status":"active"},"properties":{"account_id":{"description":"Account Id","type":"string","uniqueKey":"data.account_id","typeLabel":"string"},"balance":{"description":"Wallet balance","type":"integer","uniqueKey":"data.balance","typeLabel":"integer"},"currency":{"description":"Wallet Currency","type":"string","uniqueKey":"data.currency","typeLabel":"string"},"customer_id":{"description":"Customer Id","type":"string","uniqueKey":"data.customer_id","typeLabel":"string"},"events":{"description":"Wallet events","items":{"oneOf":[{"description":"A Wallet event","properties":{"action":{"enum":["freeze","unfreeze","delete","restore","create"],"type":"string","uniqueKey":"data.events.items.[INDEX].oneOf.0.action","typeLabel":"enum\u003cstring>"},"id":{"type":"any","uniqueKey":"data.events.items.[INDEX].oneOf.0.id","typeLabel":"any"},"inserted_at":{"format":"date-time","type":"string","uniqueKey":"data.events.items.[INDEX].oneOf.0.inserted_at","typeLabel":"string\u003cdate-time>"},"reason":{"oneOf":[{"type":"string","uniqueKey":"data.events.items.[INDEX].oneOf.0.reason.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"data.events.items.[INDEX].oneOf.0.reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"data.events.items.[INDEX].oneOf.0.reason","typeLabel":"string | null"},"wallet_id":{"type":"any","uniqueKey":"data.events.items.[INDEX].oneOf.0.wallet_id","typeLabel":"any"}},"title":"WalletEvent","type":"object","uniqueKey":"data.events.items.[INDEX].oneOf.0","typeLabel":"WalletEvent · object"},{"description":"A Wallet event","properties":{"action":{"enum":["freeze","unfreeze","delete","restore","create"],"type":"string"},"id":{"type":"any"},"inserted_at":{"format":"date-time","type":"string"},"reason":{"oneOf":[{"type":"string"},{"type":"null"}]},"wallet_id":{"type":"any"}},"title":"WalletEvent","type":"null","uniqueKey":"data.events.items.[INDEX].oneOf.1","typeLabel":"null"}],"uniqueKey":"data.events.items.[INDEX]","typeLabel":"WalletEvent · object | null"},"type":"array","uniqueKey":"data.events","typeLabel":"(WalletEvent · object | null)[]"},"id":{"description":"Id","type":"string","uniqueKey":"data.id","typeLabel":"string"},"payment_methods":{"description":"payment methods","items":{"type":"any","uniqueKey":"data.payment_methods.items.[INDEX]","typeLabel":"any"},"type":"array","uniqueKey":"data.payment_methods","typeLabel":"any[]"},"status":{"enum":["active","deleted","frozen"],"type":"string","uniqueKey":"data.status","typeLabel":"enum\u003cstring>"}},"title":"WalletDetails","type":"object","uniqueKey":"data","typeLabel":"WalletDetails · object"}},"title":"WalletResponse","type":"object","uniqueKey":"","typeLabel":"WalletResponse · object"},"examples":{"Example":{"title":"Example","value":{"data":{"account_id":"f55ca88c-71aa-4dab-a10a-4d818c11e8e6","balance":{"amount":0,"currency":"USD"},"customer_id":"a08bf5a3-8459-4e65-a5bb-34a1feef94cf","events":[{"action":"create","id":"6a2a5833-609d-4dff-a4e6-0eaf452d7826","inserted_at":"2025-07-24T08:08:07Z","reason":null,"wallet_id":"55a76a42-ed3a-4d0b-b74c-2887d64612f6"}],"id":"3d2e3f3e-3b3c-4907-a4fd-e241203440d7","payment_methods":[],"status":"active"}}}},"exampleType":"generated"}},"description":"Wallet","exampleType":"generated"},"c7a591b8-cdfc-44c7-aeaa-6e4d21ac8b77":{"content":{"application/json":{"schema":{"type":"string","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"\u003cstring>"}},"exampleType":"generated"}},"description":"Not Found","exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"openapi.json"},"subdomain":"juicyway","siteName":"Juicyway API","title":"Retrieve a wallet - Juicyway API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-05-06T09:03:58.325Z","originalFileLocation":"reference/wallets/retrieve-a-wallet.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Juicyway API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Retrieve a wallet - Juicyway API\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Juicyway API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://juicyway.mintlify.site/_mintlify/api/og/v2?division=wallets\u0026amp;title=Retrieve+a+wallet\u0026amp;theme=2293120911f2d8444ca99018\u0026amp;signature=8c2019137dde6cadc8757ebe42038d325ae0bc66fbbf4048c00a051e8ec0498a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Retrieve a wallet - Juicyway API\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://juicyway.mintlify.site/_mintlify/api/og/v2?division=wallets\u0026amp;title=Retrieve+a+wallet\u0026amp;theme=2293120911f2d8444ca99018\u0026amp;signature=8c2019137dde6cadc8757ebe42038d325ae0bc66fbbf4048c00a051e8ec0498a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/juicyway/1g4pXSqHXqFTyhod/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Juicyway API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0D9373\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/wallets/retrieve-a-wallet.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.juicyway.com/#organization\",\"name\":\"Juicyway API\",\"url\":\"https://docs.juicyway.com\"},{\"@type\":\"WebSite\",\"@id\":\"https://docs.juicyway.com#website\",\"name\":\"Juicyway API\",\"url\":\"https://docs.juicyway.com\",\"publisher\":{\"@id\":\"https://docs.juicyway.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet#webpage\",\"url\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet\",\"name\":\"Retrieve a wallet\",\"dateModified\":\"2026-05-06T09:03:58.325Z\",\"isPartOf\":{\"@id\":\"https://docs.juicyway.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"wallets\",\"item\":\"https://docs.juicyway.com/reference/wallets/create-a-wallet\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Retrieve a wallet\",\"item\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet#apireference\",\"headline\":\"Retrieve a wallet\",\"name\":\"Retrieve a wallet\",\"url\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet\",\"mainEntityOfPage\":{\"@id\":\"https://docs.juicyway.com/reference/wallets/retrieve-a-wallet#webpage\"},\"dateModified\":\"2026-05-06T09:03:58.325Z\",\"publisher\":{\"@id\":\"https://docs.juicyway.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.juicyway.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Juicyway API\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Juicyway API\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/reference/wallets/retrieve-a-wallet.md","siteName":"Juicyway API","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/home"}]},{"anchor":"API Reference","groups":[{"group":"exchange","pages":[{"title":"Retrieve a swap configuration","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/swap-configurations/{id}","href":"/reference/exchange/retrieve-a-swap-configuration"},{"title":"Delete a swap configuration","deprecated":null,"version":null,"openapi":"/openapi.json delete /exchange/swap-configurations/{id}","href":"/reference/exchange/delete-a-swap-configuration"},{"title":"Update a swap configuration","deprecated":null,"version":null,"openapi":"/openapi.json patch /exchange/swap-configurations/{id}","href":"/reference/exchange/update-a-swap-configuration"},{"title":"List standing orders","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/standing-orders","href":"/reference/exchange/list-standing-orders"},{"title":"Create a standing order","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/standing-orders","href":"/reference/exchange/create-a-standing-order"},{"title":"Get order book","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/books/{symbol}","href":"/reference/exchange/get-order-book"},{"title":"Convert an amount from one currency to another","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/convert","href":"/reference/exchange/convert-an-amount-from-one-currency-to-another"},{"title":"Get rate","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/rates/{id}","href":"/reference/exchange/get-rate"},{"title":"Delete a rate","deprecated":null,"version":null,"openapi":"/openapi.json delete /exchange/rates/{id}","href":"/reference/exchange/delete-a-rate"},{"title":"Update a rate","deprecated":null,"version":null,"openapi":"/openapi.json patch /exchange/rates/{id}","href":"/reference/exchange/update-a-rate"},{"title":"Remove contact from a market maker","deprecated":null,"version":null,"openapi":"/openapi.json patch /exchange/market-makers/{id}/remove-contact","href":"/reference/exchange/remove-contact-from-a-market-maker"},{"title":"List rates","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/rates","href":"/reference/exchange/list-rates"},{"title":"Create a rate","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/rates","href":"/reference/exchange/create-a-rate"},{"title":"List supported rates","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/pairs","href":"/reference/exchange/list-supported-rates"},{"title":"List market makers","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/market-makers","href":"/reference/exchange/list-market-makers"},{"title":"Create a market maker","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/market-makers","href":"/reference/exchange/create-a-market-maker"},{"title":"List swaps","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/swap","href":"/reference/exchange/list-swaps"},{"title":"Make a swap","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/swap","href":"/reference/exchange/make-a-swap"},{"title":"Retrieve an order","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/orders/{id}","href":"/reference/exchange/retrieve-an-order"},{"title":"List orders","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/orders","href":"/reference/exchange/list-orders"},{"title":"Create an order","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/orders","href":"/reference/exchange/create-an-order"},{"title":"List swap configuration","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/swap-configurations","href":"/reference/exchange/list-swap-configuration"},{"title":"Create a swap configuration","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/swap-configurations","href":"/reference/exchange/create-a-swap-configuration"},{"title":"Cancel an order","deprecated":null,"version":null,"openapi":"/openapi.json put /exchange/orders/{id}/cancel","href":"/reference/exchange/cancel-an-order"},{"title":"Get swap rate","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/swap/rate","href":"/reference/exchange/get-swap-rate"},{"title":"Increase order book liquidity","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/increase-liquidity","href":"/reference/exchange/increase-order-book-liquidity"},{"title":"List currencies","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/currencies","href":"/reference/exchange/list-currencies"},{"title":"Fetch current market prices","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/market-prices{symbol}","href":"/reference/exchange/fetch-current-market-prices"},{"title":"Retrieve list of orders created from a standing order","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/standing-orders/{id}/orders","href":"/reference/exchange/retrieve-list-of-orders-created-from-a-standing-order"},{"title":"Retrieve market maker details for current account","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/market-makers/me","href":"/reference/exchange/retrieve-market-maker-details-for-current-account"},{"title":"Retrieve a market maker","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/market-makers/{id}","href":"/reference/exchange/retrieve-a-market-maker"},{"title":"Update a market maker","deprecated":null,"version":null,"openapi":"/openapi.json patch /exchange/market-makers/{id}","href":"/reference/exchange/update-a-market-maker"},{"title":"Get swap","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/swap/{id}","href":"/reference/exchange/get-swap"},{"title":"Add contact to a market maker","deprecated":null,"version":null,"openapi":"/openapi.json patch /exchange/market-makers/{id}/add-contact","href":"/reference/exchange/add-contact-to-a-market-maker"},{"title":"Retrieve a standing order","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/standing-orders/{id}","href":"/reference/exchange/retrieve-a-standing-order"},{"title":"Delete a standing order","deprecated":null,"version":null,"openapi":"/openapi.json delete /exchange/standing-orders/{id}","href":"/reference/exchange/delete-a-standing-order"},{"title":"Update a standing order","deprecated":null,"version":null,"openapi":"/openapi.json patch /exchange/standing-orders/{id}","href":"/reference/exchange/update-a-standing-order"}]},{"group":"payouts","pages":[{"title":"Retry failed but retryable transfer","deprecated":null,"version":null,"openapi":"/openapi.json post /bulk-transfers/{batch_id}/transfers/{id}/retry","href":"/reference/payouts/retry-failed-but-retryable-transfer"},{"title":"Delete transfers","deprecated":null,"version":null,"openapi":"/openapi.json delete /bulk-transfers/{batch_id}/transfers/{id}","href":"/reference/payouts/delete-transfers"},{"title":"Add transfers","deprecated":null,"version":null,"openapi":"/openapi.json post /bulk-transfers/transfers","href":"/reference/payouts/add-transfers"},{"title":"List bulk payouts","deprecated":null,"version":null,"openapi":"/openapi.json get /bulk-transfers","href":"/reference/payouts/list-bulk-payouts"},{"title":"Initiate a bulk transfer","deprecated":null,"version":null,"openapi":"/openapi.json post /bulk-transfers","href":"/reference/payouts/initiate-a-bulk-transfer"},{"title":"cancel bulk transfer","deprecated":null,"version":null,"openapi":"/openapi.json post /bulk-transfers/{id}/cancel","href":"/reference/payouts/cancel-bulk-transfer"},{"title":"Get payout details","deprecated":null,"version":null,"openapi":"/openapi.json get /payouts/{id}","href":"/reference/payouts/get-payout-details"},{"title":"Generate a payout receipt","deprecated":null,"version":null,"openapi":"/openapi.json get /payouts/{id}/receipt","href":"/reference/payouts/generate-a-payout-receipt"},{"title":"Get charge for a payout","deprecated":null,"version":null,"openapi":"/openapi.json get /payouts/charge","href":"/reference/payouts/get-charge-for-a-payout"},{"title":"List payouts","deprecated":null,"version":null,"openapi":"/openapi.json get /payouts","href":"/reference/payouts/list-payouts"},{"title":"Initiate a payout","deprecated":null,"version":null,"openapi":"/openapi.json post /payouts","href":"/reference/payouts/initiate-a-payout"},{"title":"Get bulk payout details","deprecated":null,"version":null,"openapi":"/openapi.json get /bulk-transfers/{id}","href":"/reference/payouts/get-bulk-payout-details"},{"title":"Execute bulk transfer","deprecated":null,"version":null,"openapi":"/openapi.json post /bulk-transfers/{id}/execute","href":"/reference/payouts/execute-bulk-transfer"}]},{"group":"payments","pages":[{"title":"Cancel a running payment session","deprecated":null,"version":null,"openapi":"/openapi.json post /payment-sessions/{id}/cancel","href":"/reference/payments/cancel-a-running-payment-session"},{"title":"Get merchant profile","deprecated":null,"version":null,"openapi":"/openapi.json get /merchants/me","href":"/reference/payments/get-merchant-profile"},{"title":"Update merchant profile","deprecated":null,"version":null,"openapi":"/openapi.json patch /merchants/me","href":"/reference/payments/update-merchant-profile"},{"title":"Get a payment link","deprecated":null,"version":null,"openapi":"/openapi.json get /payment-links/{id}","href":"/reference/payments/get-a-payment-link"},{"title":"Update a payment link","deprecated":null,"version":null,"openapi":"/openapi.json patch /payment-links/{id}","href":"/reference/payments/update-a-payment-link"},{"title":"Export payment details","deprecated":null,"version":null,"openapi":"/openapi.json get /payments/export","href":"/reference/payments/export-payment-details"},{"title":"Authorize a captured payment session","deprecated":null,"version":null,"openapi":"/openapi.json post /payment-sessions/{id}/authorize","href":"/reference/payments/authorize-a-captured-payment-session"},{"title":"Get encryption key","deprecated":null,"version":null,"openapi":"/openapi.json get /payment-sessions/encryption-keys/{mode}","href":"/reference/payments/get-encryption-key"},{"title":"Get payment stats","deprecated":null,"version":null,"openapi":"/openapi.json get /payments/stats","href":"/reference/payments/get-payment-stats"},{"title":"Retry the processing of a pending outgoing payment ","deprecated":null,"version":null,"openapi":"/openapi.json post /payments/retry","href":"/reference/payments/retry-the-processing-of-a-pending-outgoing-payment"},{"title":"Get a hosted payment session","deprecated":null,"version":null,"openapi":"/openapi.json get /hosted-sessions/{id}","href":"/reference/payments/get-a-hosted-payment-session"},{"title":"List payment links","deprecated":null,"version":null,"openapi":"/openapi.json get /payment-links","href":"/reference/payments/list-payment-links"},{"title":"Create a payment link","deprecated":null,"version":null,"openapi":"/openapi.json post /payment-links","href":"/reference/payments/create-a-payment-link"},{"title":"Get a running payment session","deprecated":null,"version":null,"openapi":"/openapi.json get /payment-sessions/{id}","href":"/reference/payments/get-a-running-payment-session"},{"title":"Capture a payment session","deprecated":null,"version":null,"openapi":"/openapi.json post /payment-sessions/{id}","href":"/reference/payments/capture-a-payment-session"},{"title":"Update a pending payment session","deprecated":null,"version":null,"openapi":"/openapi.json patch /payment-sessions/{id}","href":"/reference/payments/update-a-pending-payment-session"},{"title":"Initiate a payment refund","deprecated":null,"version":null,"openapi":"/openapi.json post /payments/{id}/refund","href":"/reference/payments/initiate-a-payment-refund"},{"title":"Get merchant profile","deprecated":null,"version":null,"openapi":"/openapi.json patch /merchants/me/settings","href":"/reference/payments/get-merchant-profile-1"},{"title":"Get payment details","deprecated":null,"version":null,"openapi":"/openapi.json get /payments","href":"/reference/payments/get-payment-details"},{"title":"Get payment details","deprecated":null,"version":null,"openapi":"/openapi.json get /payments/{id}","href":"/reference/payments/get-payment-details-1"},{"title":"Initialize a payment session","deprecated":null,"version":null,"openapi":"/openapi.json post /payment-sessions","href":"/reference/payments/initialize-a-payment-session"}]},{"group":"Swaps","pages":[{"title":"Get quote","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/quote","href":"/reference/swaps/get-quote"},{"title":"Lock quote","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/quote/{id}/lock","href":"/reference/swaps/lock-quote"},{"title":"Make a swap with a locked aggregator rate","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/fx/convert","href":"/reference/swaps/make-a-swap-with-a-locked-aggregator-rate"},{"title":"Get swap by reference","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/fx/convert/{reference}","href":"/reference/swaps/get-swap-by-reference"},{"title":"Get aggregator swap rate","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/fx/rate","href":"/reference/swaps/get-aggregator-swap-rate"},{"title":"Lock aggregator swap rate","deprecated":null,"version":null,"openapi":"/openapi.json post /exchange/fx/rate/{id}/lock","href":"/reference/swaps/lock-aggregator-swap-rate"}]},{"group":"Orders","pages":[{"title":"Fetch current market prices","deprecated":null,"version":null,"openapi":"/openapi.json get /exchange/market-prices","href":"/reference/orders/fetch-current-market-prices"}]},{"group":"wallets","pages":[{"title":"Create a wallet","deprecated":null,"version":null,"openapi":"/openapi.json post /wallets","href":"/reference/wallets/create-a-wallet"},{"title":"List wallets","deprecated":null,"version":null,"openapi":"/openapi.json get /wallets/all","href":"/reference/wallets/list-wallets"},{"title":"List transactions","deprecated":null,"version":null,"openapi":"/openapi.json get /wallets/transactions","href":"/reference/wallets/list-transactions"},{"title":"Create a wallet transaction","deprecated":null,"version":null,"openapi":"/openapi.json post /wallets/transactions","href":"/reference/wallets/create-a-wallet-transaction"},{"title":"Retrieve a wallet transaction","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json get /wallets/transactions/{id}","href":"/reference/wallets/retrieve-a-wallet-transaction"},{"title":"Retrieve a wallet","deprecated":null,"version":null,"openapi":"/openapi.json get /wallets/{id}","href":"/reference/wallets/retrieve-a-wallet"},{"title":"Update wallet balance","description":null,"deprecated":null,"version":null,"openapi":"/openapi.json patch /wallets/{id}/balance","href":"/reference/wallets/update-wallet-balance"},{"title":"Create a wallet payment method","deprecated":null,"version":null,"openapi":"/openapi.json post /wallets/{id}/payment-method","href":"/reference/wallets/create-a-wallet-payment-method"},{"title":"Update a wallet status","deprecated":null,"version":null,"openapi":"/openapi.json patch /wallets/{id}/status","href":"/reference/wallets/update-a-wallet-status"}]}]}]},"basePath":"","title":"Retrieve a wallet - Juicyway API","buildId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","deploymentId":"dpl_41S5Z2jG9QnfDRwN1KZrLdBwj7DM","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DDP9JXtj.js","utils-8yQyvEtx.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CBCFR8Sn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-rQaXkUHa.js","snippetPresets-J5KpBTgV.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-BVxVH4Cj.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BxdQ2vIi.js","shallow-BjV2tFiD.js","getApiPlaygroundDisplay-C_55tL4O.js","CodeSnippet-C0JpiCOC.js","CodeSnippets-w9Ps7djG.js","Page-DTNSD-0M.js","getPastedJson-BDfB-H8d.js","icon-g-kUkkO9.js","MethodPill-v4l6fq0h.js","DuplicateIcon-CvLo-CfU.js","createIcon-165clrrV.js","DynamicMarkdown-D3RQ-fEj.js","SectionHeading-vvo-3yLf.js","axios-vUo_bRtp.js","Markdown-CMT1uFWQ.js","clsx-C8f2yC9R.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CI2D8R2Y.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-k78Wrw_e.js"]}